org.apache.hadoop.fs

## Class FileUtil.HardLink

- java.lang.Object
- - org.apache.hadoop.fs.HardLink
  - - org.apache.hadoop.fs.FileUtil.HardLink

- Enclosing class:
    FileUtil

  Deprecated.
  Use `HardLink`

      @Deprecated
      public static class FileUtil.HardLink
      extends HardLink

  Class for creating hardlinks. Supports Unix, WindXP.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.fs.HardLink

      `HardLink.LinkStats`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.fs.HardLink

      `linkStats`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardLink()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.fs.HardLink

      `createHardLink, createHardLinkMult, getLinkCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardLink

          public HardLink()

      Deprecated.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.